Bug 14745 - gnome-terminal double-click bug
gnome-terminal double-click bug
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-27 15:07 EDT by Matthew Kirkwood
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 19:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Kirkwood 2000-07-27 15:07:16 EDT
(Again, I believe this to be a zvt bug, hence gnome-libs.  It has been in
the gnome-1.2 stuff forever, so I don't believe that it will have been
fixed since beta3.)

Double-middle-clicking in a gnome-terminal will cause the text to be pasted
three times.

Also, affects mouse-wheel scrolling -- two clicky-scrolly-movements in
close succession on the wheel appear to effect three scrolls, whereas done
slowly it
Comment 1 Glen Foster 2000-07-30 17:51:07 EDT
... the text of the above defect report appears to have been cut off.  Please
check it and see if there is any more data to present.  I need to know what's
missing so I can determine it it's a MUST-FIX or not for Winston. Thanks!
Comment 2 Matthew Kirkwood 2000-07-30 18:39:18 EDT
Oops, my attention span is a bit ... Hey!  Nice car!

So what was I saying?  I don't think there's much more info to present, but the
bug might be more complete with "scrolls roughly (probably exactly) a third
less".
Comment 3 Matthew Kirkwood 2000-07-31 11:43:24 EDT
Here's a possible fix to the paste bit, from Paul Warren
<pdw@ferret.lmh.ox.ac.uk> (who would be a very worthwhile addition to the beta
team, BTW).  I guess that the scroll thing is as easily fixed but don't have
time to read source right now.

> Index: zvtterm.c
> ===================================================================
> RCS file: /cvs/gnome/gnome-libs/zvt/zvtterm.c,v
> retrieving revision 1.138.4.7
> diff -u -r1.138.4.7 zvtterm.c
> --- zvtterm.c 2000/06/18 03:18:22     1.138.4.7
> +++ zvtterm.c 2000/07/31 14:30:20
> @@ -1583,7 +1583,9 @@
>      break;
>  
>    case 2:                    /* middle button - paste */
> -    request_paste (widget, 0, event->time);
> +    if (event->type == GDK_BUTTON_PRESS) {
> +      request_paste (widget, 0, event->time);
> +    }
>      break;
>  
>    case 3:                    /* right button - select extend? */
> 
Comment 4 Havoc Pennington 2000-08-09 19:40:25 EDT
I've fixed this but it isn't in the tree yet, has to get through QA
Comment 5 Havoc Pennington 2000-08-16 16:20:57 EDT
This should now be in the tree

Note You need to log in before you can comment on or make changes to this bug.